"""
URL configuration for TimeDispatcher project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/5.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path

from dispatcher import views

urlpatterns = [
    path("", views.dashboard_view, name="dashboard"),
    path("import/", views.import_view, name="import"),
    path("projects/", views.projects_view, name="projects"),
    path("parents/", views.ParentsView.as_view(), name="parents"),
    path("projects/<int:id>/", views.project_view, name="project"),
    path("projects/<int:id>/set_parent", views.set_parent, name="set_parent"),
    path("stats/by-month/<int:year>/<int:month>/", views.get_stats_by_month, name="stats_by_month"),
]
